#include <xc.h>

void uart_init(){

    SPBRGH = 0;
    SPBRGL = 0xCF; // 19200 bps  brg16=1, brgh=1

    TRISCbits.TRISC7 = 1; // RX input
    TRISCbits.TRISC6 = 0; // TX output

    RCSTAbits.CREN = 0; // no need to receive commands, so leave RX disabled
    RCSTAbits.SPEN = 1; // enable serial port

    BAUDCONbits.BRG16=1; // 16 bit baud rate generator enabled

    TXSTAbits.SYNC=0; // asynchronous mode
    TXSTAbits.BRGH=1; // high speed
    TXSTAbits.TXEN=1; // transmit enabled
}

void uart_writestring( const char * c) {
    while(*c) {
        //TXSTAbits.TXEN = 0;
        TXREG = *c++;
        //TXSTAbits.TXEN = 0;
        while (TXSTAbits.TRMT==0) {
        }
    }
}

